/* Conta il numero di parole in una stringa */
#include <ctype.h>
#include <stdio.h>

int word_cnt(char *s){
	int cnt=0;
	while(*s != '\0'){
		while(isspace(*s))	// Salta spaziatura (macro isspace() in ctype.h, controlla se un carattere e' uno spazio
					// o a capo)
			++s;
		if(*s != '\0'){		// Trovata parola
			++cnt;		// Somma 1
			while(!isspace(*s) && *s!='\0')
				++s;	// Salta i caratteri successivi della stessa parola
		}
	}
	return cnt;
}

int main(void){
	char *str="Le parole in questa stringa sono esattamente 10.\n Ciao. ";
	int n=word_cnt(str);	
	printf("Numero parole: %d\n\n", n);
	return 0;
}

// gcc es17_word_count.c -o es17_word_count
// ./es17_word_count
